Loading...
Searching...
No Matches
seqan3::alignment_printer< alignment_t > Struct Template Reference
Sequence Alignment » Aligned Sequence

The printer for alignment. More...

`#include <seqan3/alignment/aligned_sequence/debug_stream_alignment.hpp>`

Inheritance diagram for seqan3::alignment_printer< alignment_t >:
[legend]

## Public Member Functions

template<typename stream_t, typename arg_t>
constexpr void | operator() (stream_t &stream, arg_t &&arg) const
| The function call operator that pretty prints the alignment to the stream.

## Detailed Description

template<typename alignment_t>
requires tuple_like<alignment_t> && detail::all_model_aligned_seq<detail::tuple_type_list_t<alignment_t>>
struct seqan3::alignment_printer< alignment_t >

The printer for alignment.

Template Parameters

  alignment_t | The type of the alignment; must model seqan3::tuple_like and all sequences must be seqan3::aligned_sequence.

## Member Function Documentation

## operator()()

template<typename alignment_t>
template<typename stream_t, typename arg_t>

void seqan3::alignment_printer< alignment_t >::operator() | ( | stream_t & | stream,
|  | arg_t && | arg ) const

inline constexpr

The function call operator that pretty prints the alignment to the stream.

Template Parameters

  stream_t | The type of the stream.
  arg_t | The type of the argument.

Parameters

  [in,out] | stream | The target stream for the formatted output.
  [in] | arg | The alignment that shall be formatted. All sequences must be equally long.

The documentation for this struct was generated from the following file:

- debug_stream_alignment.hpp

Hide me